/// <reference types="react" />
import { ToolBarProps } from './types';
export declare const Toolbar: ({ localizer: { messages }, label, onNavigate, overrides, }: ToolBarProps & {
    overrides?: {
        ToolBar: import("./overrides").OverridableComponentProps<ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides").OverridableComponentProps<{}, {}, {}>;
        DayCells: import("./overrides").OverridableComponentProps<import("./types").RenderDayCellsProps, {}, {}>;
        DayCell: import("./overrides").OverridableComponentProps<import("./types").RenderDayCellProps, {}, {}>;
        Availabilities: import("./overrides").OverridableComponentProps<import("./types").RenderAvailProps, {}, {}>;
        AvailSlot: import("./overrides").OverridableComponentProps<import("./types").RenderAvailSlot, {}, {}>;
    } | undefined;
}) => JSX.Element;
