/// <reference types="react" />
import { RenderDayCellProps } from './types';
export declare const RenderDayCell: ({ date, dayIndexInWeek, weekIndexInCalRange, availsByIndex, selectedDate, handleSelected, moment, utils, theme, overrides, }: RenderDayCellProps & {
    overrides?: {
        ToolBar: import("./overrides").OverridableComponentProps<import("./types").ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides").OverridableComponentProps<{}, {}, {}>;
        DayCells: import("./overrides").OverridableComponentProps<import("./types").RenderDayCellsProps, {}, {}>;
        DayCell: import("./overrides").OverridableComponentProps<RenderDayCellProps, {}, {}>;
        Availabilities: import("./overrides").OverridableComponentProps<import("./types").RenderAvailProps, {}, {}>;
        AvailSlot: import("./overrides").OverridableComponentProps<import("./types").RenderAvailSlot, {}, {}>;
    } | undefined;
}) => JSX.Element;
